pass: 1.7.3 -> 1.7.4

Mostly bug fixes, the following changes were required in the package:

* set-correct-program-name-for-sleep.patch needed to be rebased,
  b08781e2a6e183986eb1c24f51cdeff879b7a6af partially implemented
  the changes done in this patch, so we don't need to touch
  password-store.sh anymore.

* Remove wayland patch since it is part of the release now

* Reworked assert logic wrt to x11-/wayland- and dmenuSupport:
  passmenu now supports wayland as well via dmenu-wayland. Sadly
  the choice of menu is not changeable, pending
  https://lists.zx2c4.com/pipermail/password-store/2021-January/004363.html

* Rebased no-darwin-getopt.patch

* Note that f.el is no longer required

Reviews would be appreciated, I might've missed something.

(cherry picked from commit 9b794eb21af842bda137bf9f1ecc95c2d2affc8c)
This commit is contained in:
sternenseemann
2021-06-17 16:32:19 +00:00
committed by github-actions[bot]
parent 246502ae2d
commit 17c83897a5
4 changed files with 25 additions and 154 deletions
@@ -5,29 +5,10 @@ Subject: [PATCH] Patch the clip() function to work even when using
single-binary coreutils
---
src/password-store.sh | 4 ++--
src/platform/cygwin.sh | 4 ++--
src/platform/darwin.sh | 4 ++--
3 files changed, 6 insertions(+), 6 deletions(-)
diff --git a/src/password-store.sh b/src/password-store.sh
index 7264ffc..68551a4 100755
--- a/src/password-store.sh
+++ b/src/password-store.sh
@@ -155,11 +155,11 @@ clip() {
# variable. Specifically, it cannot store nulls nor (non-trivally) store
# trailing new lines.
local sleep_argv0="password store sleep on display $DISPLAY"
- pkill -f "^$sleep_argv0" 2>/dev/null && sleep 0.5
+ pkill -P $(pgrep -f "^$sleep_argv0") 2>/dev/null && sleep 0.5
local before="$(xclip -o -selection "$X_SELECTION" 2>/dev/null | $BASE64)"
echo -n "$1" | xclip -selection "$X_SELECTION" || die "Error: Could not copy data to the clipboard"
(
- ( exec -a "$sleep_argv0" bash <<<"trap 'kill %1' TERM; sleep '$CLIP_TIME' & wait" )
+ ( exec -a "$sleep_argv0" bash <(echo trap 'kill %1' TERM\; sleep "$CLIP_TIME & wait") )
local now="$(xclip -o -selection "$X_SELECTION" | $BASE64)"
[[ $now != $(echo -n "$1" | $BASE64) ]] && before="$now"
diff --git a/src/platform/cygwin.sh b/src/platform/cygwin.sh
index 5a8d5ea..423e0ce 100644
--- a/src/platform/cygwin.sh